Antom, leading provider of tailored payment solutions

inquireVirtualAccount

POST /v1/aba/accounts/inquireVirtualAccount

Use this interface to retrieve the available virtual account for topup.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

currency String  REQUIRED

The 3-letter currency code that follows the ISO 4217 standard.

More information:

  • Maximum length: 3 characters

bankRegion String  REQUIRED

The 2-letter country or region code where the bank is located. For more information, see ISO 3166 Country Codes standard.

More information:

  • Maximum length: 2 characters

Response parameters

result Object  REQUIRED

Indicates whether this API is called successfully.

Show child parameters

legalName String  

The legal name of the merchant.

More information:

  • This field is an API idempotency field.

virtualAccountInfos Array<VirtualAccountInfo>  

List of virtual account information.

Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

The API is called successfully, and no further action is needed.

PARAM_ILLEGALFIllegal parameters exist.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

CURRENCY_NOT_SUPPORTFUnsupported currency. Please select a different option.

The currency is not supported.

USER_NO_PERMISSIONFUser lacks necessary permissions.

Retry with the different user.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

CONTRACT_CHECK_FAILFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

CURRENCY_NOT_SUPPORTFThe currency is not supported.

Make sure the currency input is correct and try again.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is POST.